Page MenuHomePhabricator

Large gap left in footer on pages with no related articles
Closed, ResolvedPublic1 Story Points

Description

When visiting https://en.m.wikipedia.beta.wmflabs.org/wiki/S?mobileaction=beta (all browserS)
An empty container is left on the page despite there being no related articles. This leads to a large gap in the footer

Expected: The container should be removed in this instance
When vistiting https://en.m.wikipedia.beta.wmflabs.org/wiki/Related%20test
Expected: the container should be present

<div class="read-more-container"></div>

With:

Without:

Requirement for task
Install and setup MobileFrontend on MediaWiki.

Reproduce this bug
Open an article that doesn't exist on English Wikipedia in mobile view and you will notice a container gap at the top of the page. Example Me article or any other page with no related article. You will see a page with a gap at the left footer on the page (as images show above).

  • Reproduce locally**

You can make the related articles show on a page by adding the following wikitext

{{#related:Page title}}

Event Timeline

Jdlrobson created this task.Oct 3 2016, 6:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2016, 6:14 PM
Jdlrobson added a subscriber: ovasileva.EditedOct 3 2016, 6:16 PM

@ovasileva is this blocking T144812 ?

I don't see it as a blocker - we can pull it into next sprint. @Nirzar - let me know if you're okay with this as well.

ovasileva triaged this task as High priority.Oct 4 2016, 5:34 PM

yeah.. this is fine. the gap is actually supposed to be there. it's just a visual detail to play with whitespace and branding.

@Nirzar - should we close this then?

@Nirzar are you sure you are not misunderstanding the bug?

If we don't remove this, the gap is inconsistent between special pages and pages without related articles. We're not talking about removing the gap altogether.

Nirzar added a comment.Oct 5 2016, 9:32 PM

@Jdlrobson oh yes the inconsistency is an issue. ideally there shouldn't be any padding based on an optional element (related pages here)

i take my "invalid" back. this is low priority bug. the container should not be present as written in the description. sorry about the confusion.

not a blocker for footer release. triaged but future?

Nirzar lowered the priority of this task from High to Low.Oct 5 2016, 9:36 PM
Nirzar added a project: Design.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 11 2016, 4:29 PM
MBinder_WMF set the point value for this task to 1.Oct 11 2016, 4:33 PM
D3r1ck01 updated the task description. (Show Details)
D3r1ck01 updated the task description. (Show Details)Nov 8 2016, 6:57 PM
Jdlrobson updated the task description. (Show Details)Nov 9 2016, 10:31 AM
Jdlrobson updated the task description. (Show Details)
divadsn claimed this task.Dec 6 2016, 7:10 PM
divadsn added a subscriber: divadsn.

I am working to fix this, patch following soon.

I have problems reproducing the bug, I can't find anything in the code where this div container could appear. Am I cloning the wrong repository?

Hi @divadsn you'll need to be looking in Extension:RelatedArticles
Specifically for where read-more-container is added.
Hope that helps! Feel free to ask any more question.

@Jdlrobson, thank you, I was on the wrong way :)

Change 326252 had a related patch set uploaded (by Divadsn):
Large gap left in footer on pages with no related articles

https://gerrit.wikimedia.org/r/326252

Change 326252 merged by jenkins-bot:
Large gap left in footer on pages with no related articles

https://gerrit.wikimedia.org/r/326252

Jdlrobson closed this task as Resolved.Dec 12 2016, 10:42 PM

Approved https://codein.withgoogle.com/dashboard/task-instances/6552767919292416/ and signed off. I tested on Vector/Minerva for non-existent pages and pages which had related articles.